# $Revision: 1.6 $, $Date: 2005-09-17 22:40:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
Summary:	Contains various rpm command-line tools
Summary(pl):	Rne narzdzia linii polece dla rpm-a
Name:		rpmtools
Version:	5.0.24
Release:	1
License:	GPL
Group:		Base/Utilities
# ftp://ftp.aso.ee/pub/Mandrake/official/current/SRPMS/main/rpmtools-5.0.20-1mdk.src.rpm
# ftp://ftp.aso.ee/pub/Mandrake/devel/cooker/SRPMS/main/rpmtools-5.0.24-1mdk.src.rpm
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	a3f57fe905a0bc5b476238313e01a4a1
Patch0:		%{name}-no-MDK.patch
URL:		http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/rpmtools/
BuildRequires:	bzip2-devel
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-devel
BuildRequires:	rpm-devel >= 4.0.3
Requires:	bzip2 >= 1.0
Requires:	perl-URPM >= 0.94
Conflicts:	packdrake < 5.0.10
Conflicts:	rpmtools-compat <= 2.0
Conflicts:	rpmtools-devel <= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# perl-Compress-Zlib is only "suggested"
%define		_noautoreq	'perl(Compress::Zlib)'

%description
Various tools needed by urpmi and drakxtools for handling rpm files.

%description -l pl
Rne narzdzia wymagane przez urpmi i drakxtools do obsugi plikw
rpm.

%package -n packdrake
Summary:	A simple Archive Extractor/Builder
Summary(pl):	Proste narzdzie do rozpakowywania i tworzenia archiww
Group:		Base/Utilities
Provides:	perl(packdrake)
Conflicts:	rpmtools <= 5.0.0

%description -n packdrake
Packdrake is a simple indexed archive builder and extractor using
standard compression methods.

Packadrakeng is a from scratch rewrite of the original packdrake. Its
format is fully compatible with old packdrake.

%description -n packdrake -l pl
Packdrake to proste narzdzie do tworzenia i rozpakowywania
indeksowanych archiww przy uyciu standardowych metod kompresji.

Packadrakeng to przepisanie od nowa oryginalnego packdrake'a. Jego
format jest w peni kompatybilny ze starym packdrake'iem.

%prep
%setup -q
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/parsehdlist
%attr(755,root,root) %{_bindir}/rpm2header
%attr(755,root,root) %{_bindir}/gendistrib
%attr(755,root,root) %{_bindir}/genhdlist
%attr(755,root,root) %{_bindir}/rpm2cpio.pl
%attr(755,root,root) %{_bindir}/dumpdistribconf
%{perl_vendorlib}/Distribconf*
%{_mandir}/man1/*
%{_mandir}/man3/Distribconf*

%files -n packdrake
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/packdrake
%{perl_vendorlib}/packdrake.pm
%{perl_vendorlib}/Packdrakeng.pm
%{perl_vendorlib}/Packdrakeng/zlib.pm
%{_mandir}/man3/[pP]ackdrake*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpmtools.spec,v $
Revision 1.6  2005-09-17 22:40:44  glen
- use perl pure_install

Revision 1.5  2005/09/17 22:39:28  glen
- dependency on rpmlib.so is enough

Revision 1.4  2005/09/17 22:37:41  glen
- 5.0.24, compiles a lot cleanly and tests succeed

Revision 1.3  2005/09/17 22:33:52  glen
- update url add md5

Revision 1.2  2005/07/07 17:08:05  qboosh
- pl, cosmetics

Revision 1.1  2005/07/06 05:47:40  glen
- rpm tools from mandrake/mandriva
